<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="validation" nsURI="http://osbp.eclipse.org/ecview/v1/core/validation"
    nsPrefix="validation">
  <eClassifiers xsi:type="ecore:EClass" name="YValidator" abstract="true" eSuperTypes="core.ecore#//YElement core.ecore#//YBindable">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="type">
      <eGenericType eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YMinLengthValidator" eSuperTypes="#//YValidator #//YMinLengthValidationConfig"/>
  <eClassifiers xsi:type="ecore:EClass" name="YMaxLengthValidator" eSuperTypes="#//YValidator #//YMaxLengthValidationConfig"/>
  <eClassifiers xsi:type="ecore:EClass" name="YRegexpValidator" eSuperTypes="#//YValidator #//YRegexpValidationConfig"/>
  <eClassifiers xsi:type="ecore:EClass" name="YClassDelegateValidator" eSuperTypes="#//YValidator #//YClassDelegateValidationConfig"/>
  <eClassifiers xsi:type="ecore:EClass" name="YBeanValidationValidator" eSuperTypes="#//YValidator #//YBeanValidationValidatorConfig"/>
  <eClassifiers xsi:type="ecore:EClass" name="YUniqueAttributeValidator" eSuperTypes="#//YValidator #//YUniqueAttributeValidatorConfig"/>
  <eClassifiers xsi:type="ecore:EClass" name="YValidationConfig" abstract="true" interface="true">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="errorCode" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="defaultErrorMessage" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YMinLengthValidationConfig" abstract="true"
      interface="true" eSuperTypes="#//YValidationConfig">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="minLength" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YMaxLengthValidationConfig" abstract="true"
      interface="true" eSuperTypes="#//YValidationConfig">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="maxLength" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YRegexpValidationConfig" abstract="true"
      interface="true" eSuperTypes="#//YValidationConfig">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="regExpression" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YClassDelegateValidationConfig" abstract="true"
      interface="true" eSuperTypes="#//YValidationConfig">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="className" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YBeanValidationValidatorConfig" abstract="true"
      interface="true" eSuperTypes="#//YValidationConfig">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="bvalClass">
      <eGenericType eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="bvalClassFullyQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="bvalProperty" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="YUniqueAttributeValidatorConfig" abstract="true"
      interface="true" eSuperTypes="#//YValidationConfig">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="valType">
      <eGenericType eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="valTypeFullyQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="propertyPath" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="containerValueBindingEndpoint"
        eType="ecore:EClass binding.ecore#//YValueBindingEndpoint" containment="true"/>
  </eClassifiers>
</ecore:EPackage>
